Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 517936 (CVE-2014-4343) - <app-crypt/mit-krb5-1.12.1-r2: two vulnerabilities (CVE-2014-4343)
Summary: <app-crypt/mit-krb5-1.12.1-r2: two vulnerabilities (CVE-2014-4343)
Status: RESOLVED FIXED
Alias: CVE-2014-4343
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-24 07:55 UTC by Agostino Sarubbo
Modified: 2014-12-31 14:55 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log for mit-krb5-1.12.1-r2 on x32 (build.log.xz,9.49 KB, application/x-xz)
2014-07-28 14:46 UTC, Denis Dupeyron
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-07-24 07:55:46 UTC
From https://bugzilla.redhat.com/show_bug.cgi?id=1121877:

A NULL pointer dereference flaw was found in the MIT Kerberos SPNEGO acceptor for continuation tokens. An unauthenticated attacker could use this flaw to crash the server acceptor.

It is reported that this issue affects version 1.5 and later.

Upstream commit and further details:

https://github.com/krb5/krb5/commit/524688ce87a15fc75f87efc8c039ba4c7d5c197b


From https://bugzilla.redhat.com/show_bug.cgi?id=1121876:

A double-free flaw was found in the MIT Kerberos SPNEGO initiators. An attacker able to spoof packets to appear as though they are from an GSSAPI acceptor could use this flaw to crash a client application that uses MIT Kerberos.

It is reported that this issue affects version 1.10 and later.

Upstream commit and further details:

https://github.com/krb5/krb5/commit/f18ddf5d82de0ab7591a36e465bc24225776940f


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Eray Aslan gentoo-dev 2014-07-25 14:09:37 UTC
+*mit-krb5-1.12.1-r2 (25 Jul 2014)
+
+  25 Jul 2014; Eray Aslan <eras@gentoo.org> +files/CVE-2014-4343.patch,
+  +files/CVE-2014-4344.patch, +mit-krb5-1.12.1-r2.ebuild:
+  Security bump - bug #517936
+

Arches, please go ahead and stabilize =app-crypt/mit-krb5-1.12.1-r2.  This is a multilib version and will need some dependency stabilization as well.  Thanks.
Comment 2 Yury German Gentoo Infrastructure gentoo-dev Security 2014-07-25 16:59:33 UTC
Arches, please test and mark stable:

=app-crypt/mit-krb5-1.12.1-r2

Target Keywords : "alpha amd64 arm hppa ia64 ppc ppc64 spark x86"

Thank you!
Comment 3 Denis Dupeyron gentoo-dev 2014-07-28 14:46:35 UTC
Created attachment 381726 [details]
build.log for mit-krb5-1.12.1-r2 on x32

The fix breaks building on x32 with:

architecture of input file `builtin/aes/iaesx64.so' is incompatible with i386:x64-32 output

Full build.log attached. Ping me on irc if you need more info.

Denis.
Comment 4 Tobias Klausmann gentoo-dev 2014-07-31 18:20:51 UTC
Stable on alpha.
Comment 5 Agostino Sarubbo gentoo-dev 2014-08-02 12:42:13 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2014-08-02 12:44:18 UTC
x86 stable
Comment 7 Markus Meier gentoo-dev 2014-08-06 20:23:32 UTC
arm stable
Comment 8 Jeroen Roovers gentoo-dev 2014-08-07 18:34:30 UTC
Stable for HPPA.
Comment 9 Agostino Sarubbo gentoo-dev 2014-08-08 21:42:38 UTC
ppc stable
Comment 10 Agostino Sarubbo gentoo-dev 2014-08-10 17:25:00 UTC
ppc64 stable
Comment 11 Agostino Sarubbo gentoo-dev 2014-08-10 17:25:20 UTC
ia64 stable
Comment 12 Agostino Sarubbo gentoo-dev 2014-08-10 17:25:39 UTC
sparc stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 13 Yury German Gentoo Infrastructure gentoo-dev Security 2014-08-17 05:22:17 UTC
Maintainer(s), Thank you for cleanup!

GLSA Vote: Yes
Comment 14 GLSAMaker/CVETool Bot gentoo-dev 2014-08-17 05:23:06 UTC
CVE-2014-4343 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-4343):
  Double free vulnerability in the init_ctx_reselect function in the SPNEGO
  initiator in lib/gssapi/spnego/spnego_mech.c in MIT Kerberos 5 (aka krb5)
  1.10.x through 1.12.x before 1.12.2 allows remote attackers to cause a
  denial of service (memory corruption) or possibly execute arbitrary code via
  network traffic that appears to come from an intended acceptor, but
  specifies a security mechanism different from the one proposed by the
  initiator.
Comment 15 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-12-28 17:32:40 UTC
Added to existing glsa draft.
Comment 16 GLSAMaker/CVETool Bot gentoo-dev 2014-12-31 14:55:52 UTC
This issue was resolved and addressed in
 GLSA 201412-53 at http://security.gentoo.org/glsa/glsa-201412-53.xml
by GLSA coordinator Mikle Kolyada (Zlogene).